<?xml version="1.0" encoding="UTF-8"?> 
<!DOCTYPE plugin PUBLIC "-//TESTING TECH//DTD TT3plugin//2.0" "TT3plugin.dtd"> 
<plugin id="com.testingtech.ttworkbench" name="Testing Technologies TTworkbench Integration" provider-name="Testing Technologies IST GmbH" version="1.0.0.0">
  <runtime>
  </runtime>
  <dependency>
    <reference id="org.etsi.its.codec.tool.testingtech.LibItsCam_asn1"/>
    <reference id="org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1"/>
    <reference id="org.etsi.its.codec.tool.testingtech.LibItsCdd_asn1"/>
    <reference id="org.etsi.its.codec.tool.testingtech.LibItsMapemSpatem_asn1"/>
    <reference id="org.etsi.its.codec.tool.testingtech.LibItsIvim_asn1"/>
    <reference id="org.etsi.its.codec.tool.testingtech.LibIteSremSsem_asn1"/>
    <reference id="org.etsi.its.tool.testingtech.Its_CodecProvider"/>
    <reference id="org.etsi.its.tool.testingtech.LibItsV2G_TypesAndValuesCodec"/>
    <reference id="org.etsi.its.ttcn.ItsExternalFunctionsProvider"/>
    <reference id="org.etsi.its.adapter"/>
    <reference id="org.etsi.ttcn.codec"/>
    <reference id="org.etsi.codec"/>
    <reference id="com.testingtech.ttworkbench.sa"/>
  </dependency>
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.tool.testingtech.Its_CodecProvider"/>
    <parameter id="name" value="Main ITS Codec"/>
    <parameter id="description" value="Main ITS Codec"/>
  </extension>
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.LibItsDenm_asn1PERCanonicalUnalignedCodecProvider"/>
    <parameter id="encoding" value="LibItsDenm_asn1"/>
    <parameter id="name" value="DENM ASN.1 Codec"/>
    <parameter id="description" value="ASN.1 External Codec (DENM)"/>
  </extension>
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.LibItsCam_asn1PERCanonicalUnalignedCodecProvider"/>
    <parameter id="encoding" value="LibItsCam_asn1"/>
    <parameter id="name" value="CAM ASN.1Codec"/>
    <parameter id="description" value="ASN.1 External Codec (CAM)"/>
  </extension>
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.codec.tool.testingtech.LibItsCdd_asn1.LibItsCdd_asn1PERCanonicalUnalignedCodecProvider"/>
    <parameter id="encoding" value="LibItsCdd_asn1"/>
    <parameter id="name" value="CDD ASN.1 Codec"/>
    <parameter id="description" value="ASN.1 External Codec (CDD)"/>
  </extension>  
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.codec.tool.testingtech.LibItsMapemSpatem_asn1.LibItsMapemSpatem_asn1PERCanonicalUnalignedCodecProvider"/>
    <parameter id="encoding" value="LibItsMapemSpatem_asn1"/>
    <parameter id="name" value="MAPEM/SPATEM ASN.1 Codec"/>
    <parameter id="description" value="ASN.1 External Codec (Mapem/Spatem)"/>
  </extension>  
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.codec.tool.testingtech.LibItsIvim_asn1.LibItsIvim_asn1PERCanonicalUnalignedCodecProvider"/>
    <parameter id="encoding" value="LibItsIvim_asn1"/>
    <parameter id="name" value="IVIM ASN.1 Codec"/>
    <parameter id="description" value="ASN.1 External Codec (Ivim)"/>
  </extension>  
  <extension point="com.testingtech.ttcn.extension.CodecProvider">
    <parameter id="class" value="org.etsi.its.codec.tool.testingtech.LibIteSremSsem_asn1.LibIteSremSsem_asn1PERCanonicalUnalignedCodecProvider"/>
    <parameter id="encoding" value="LibItsSremSsem_asn1"/>
    <parameter id="name" value="SREM/SSEM ASN.1 Codec"/>
    <parameter id="description" value="ASN.1 External Codec (SremSsem)"/>
  </extension>  
  <extension point="com.testingtech.ttcn.extension.ExternalFunctionsProvider">
    <parameter id="class" value="org.etsi.its.tool.testingtech.ExternalFunctionsPluginProvider"/>
    <parameter id="name" value="Its External Function"/>
    <parameter id="description" value="The implementation of the external functions defined in the ITS project."/>
  </extension>
</plugin>
